org.apache.hc.client5.http.io

## Interface DetachedSocketFactory

    @Internal
     @Contract(threading=STATELESS)
    public interface DetachedSocketFactory

Since:
  5.4

### Method Summary

All Methods Instance Methods Abstract Methods Default Methods
`Socket` `create(Proxy proxy)`
`default Socket` `create(String schemeName, Proxy proxy)`

### Method Detail

#### create

    Socket create(Proxy proxy)
           throws IOException

Throws:
  `IOException`

#### create

    default Socket create(String schemeName,
                          Proxy proxy)
                   throws IOException

Throws:
  `IOException`
Since:
  5.5